/* #################################   JS WZP ANIFADE  ####################################### */
if (!window.$wzp) {window.$wzp={};}
window.$wzp.aniFade = function (sel) {
    function update(e){
        if (!e.classList.contains('wzp-anifade_show')) {
            const containerTop = e.getBoundingClientRect().top,
                  containerHeight = e.clientHeight,
                  windowHeight = window.innerHeight,
                  scrolltop = window.scrollY;
                  
            if (containerTop + containerHeight / 3 < scrolltop + windowHeight || containerTop < windowHeight) {
                e.classList.add('wzp-anifade_show');
            }
        }
    }
    
    document.querySelectorAll(sel).forEach((e) => {
        window.addEventListener('scroll', () => update(e));
        update(e); /* Perform an initial check if the element is already visible */
    });
}

document.addEventListener('DOMContentLoaded', function () {
    window.$wzp.aniFade('.wzp-anifade');
});
/* ###############################   ENDE JS WZP ANIFADE    ################################## */